// Pingus - A free Lemmings clone
// Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#include <cassert>

#include "trap.hh"

CL_ResourceManager* Trap::resource;

Trap::Trap()
{
  
}

Trap::~Trap()
{
  delete surface;
}

void 
Trap::draw_offset(int x, int y)
{
  assert(surface);
  surface->put_screen(x_pos + x, y_pos + y, ++counter);
}

void 
Trap::let_move()
{
  // do nothing
}

void 
Trap::catch_pingu(Pingu* pingu)
{
  // do noting
}

void
Trap::load_data(CL_ResourceManager* res)
{
  resource = res;
}

/* EOF */
